<?php (SECURITY)?die():FALSE; ?>

<body>
<div id="General">
	<div id="SurHeader">
		<h1><?php echo AEOS_NAME; ?> [<?php echo AEOS_DESC; ?>]</h1>
		<h6>
			<ul class="NotificationZone">
				<li>
					<a href="#"><img src="../themes/system/images/notification.png" alt="Notification (<?php echo $_SESSION['_NOTIFICATIONS']; ?>)" />
						<?php
							if($_SESSION['_NOTIFICATIONS']) { ?><span class="Notifications">!</span><?php }
						?>						
					</a>					
					<ul>
						<?php
						$notifications = lecture_xml('notifications.xml');
						for($i=0; $i<count($notifications['notifications']['message']); $i++)
						{
							?>
							<li>
								<a href="<?php echo $notifications['notifications']['message'][$i]['lien']['#text']; ?>">
									<img src="../themes/system/images/icones/<?php echo $notifications['notifications']['message'][$i]['type']['#text']; ?>.png" alt="<?php echo $notifications['notifications']['message'][$i]['type']['#text']; ?>" />
									&nbsp; <?php echo $notifications['notifications']['message'][$i]['contenu']['#text']; ?>
								</a>
							</li>
							<?php
						}
						?>
					</ul>
				</li>
			</ul>

			Version actuelle : <?php echo AEOS_VERSION; ?>
			<?php //if (checkVersion()) echo '<span class="erreur"><a href="'.AEOS_REAL_URL.'">Nouvelle version disponible</a></span>'; ?>
		</h6>
	</div>
	<div id="Header">
		<ul class="Menu">
			<li class="logo"><a href="index.php"><img src="../themes/system/images/full_logo.png" alt="Logo AEOS" width="150px"/></a></li>
			<a href="../"><li><img src="../themes/system/images/icones/return_left.png" alt="icone" class="icon" />&nbsp;&nbsp;<br />Retour au site</li></a>
			<?php
			$menuItems = array(NULL, 'Accueil', 'Pages', 'Modules', 'Thèmes', 'Réglages', 'Corbeille', 'Déconnexion');
			$menuImages = array(NULL, 'accueil', 'page', 'module', 'design_red', 'config', 'corbeille', 'logout');
			for ($i=1; $i<count($menuItems); $i++)
			{
				echo "<a href='index.php?pid=".$i."'><li ";
				if ($pid==$i) echo "class='selected'>"; else echo ">";
				if($pid==$i){ echo "<b>";}
				echo "<img src='../themes/system/images/icones/".$menuImages[$i].".png' alt='icone' class='icon' />&nbsp;&nbsp;&nbsp;<br />".$menuItems[$i]."";
				if($pid==$i){ echo "</b>";}
				echo "</li></a>";
			}
			?>
		</ul>
	</div>
	
	<div id="SideMenu">
		<ul>
		<?php
			switch($pid)
			{
				case 1:
					/*
					$mi = array(NULL, 'Accueil', 'Statistiques', 'Communauté');
					$mg = array(NULL, 'accueil', 'stats', 'community');
					*/
					$mi = array(NULL, 'Accueil');
					$mg = array(NULL, 'accueil');
				break;
				
				case 2:
					$mi = array(NULL, 'Pages', '_Ajouter une page');
					$mg = array(NULL, 'page', 'ajout');
				break;
				
				case 3:
					$mi = array(NULL, 'Modules', '_Ajouter un module');
					$mg = array(NULL, 'module', 'ajout');
				break;
				
				case 4:
					$mi = array(NULL, 'Thèmes', '_Ajouter un thème');
					$mg = array(NULL, 'design_red', 'ajout');
				break;
				
				case 5:
					$mi = array(NULL, 'Général', 'Connexion', 'Maintenance', 'Système');
					$mg = array(NULL, 'general', 'logout', 'config', 'advanced');
				break;
				
				default:
					$mi = array(NULL, 'Corbeille', '_Vider la corbeille');
					$mg = array(NULL, 'corbeille', 'corbeille_vide');
			}
			for ($i=1; $i<count($mi); $i++)
			{
				echo '<a href="?pid='.$pid.'&sid='.$i.'"><li class="';
				echo (strpos($mi[$i], '_')!==FALSE)?"middleMenu ":"headerMenu ";
				echo ($sid==$i)?"middleMenuSelected ":FALSE;
				echo '"><img src="../themes/system/images/icones/'.$mg[$i].'.png" alt="icone" class="icon" />'.str_replace('_', '', $mi[$i])."</li></a>";
			}
			?>
		</ul>
	</div>
	<div id="Content">
			<?php
				switch ($pid)
				{
					case 1: // Page général
							if (@$_['suppresion']=="install")
							{
								removeFolder("../install/");
								?>
									<div class='update_valide'><span class='valide'>Le dossier d'installation ainsi que son contenu ont été effacés avec succés! Vous pouvez désormais administrer votre site en toute sécurité.</span></div>
								<?php
							}
							elseif (file_exists("../install"))
							{
							?>
							<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;suppresion=install" method="post">
									<div class='update_erreur'>
										<span class='erreur'>Le dossier d'installation d'AEOS est encore en ligne. Ce dossier est dorénavant inutile et peut causer un risque pour la sécurité de votre site.</span>
										<input type="submit" value="Effacer le dossier" class="input_button" />
									</div>
							</form>
							<?php
							}
							?>
							
							<div class="ZoneTexte">
								<h4>Bienvenue dans votre espace d'administration personnel !</h4>
								<p>Ex his quidam aeternitati se commendari posse per statuas aestimantes eas ardenter adfectant quasi plus praemii de figmentis aereis sensu carentibus adepturi, quam ex conscientia honeste recteque factorum, easque auro curant inbracteari, quod Acilio Glabrioni delatum est primo, cum consiliis armisque regem superasset Antiochum. quam autem sit pulchrum exigua haec spernentem et minima ad ascensus verae gloriae tendere longos et arduos, ut memorat vates Ascraeus, Censorius Cato monstravit. qui interrogatus quam ob rem inter multos... statuam non haberet malo inquit ambigere bonos quam ob rem id non meruerim, quam quod est gravius cur inpetraverim mussitare.</p>
								<p>Novo denique perniciosoque exemplo idem Gallus ausus est inire flagitium grave, quod Romae cum ultimo dedecore temptasse aliquando dicitur Gallienus, et adhibitis paucis clam ferro succinctis vesperi per tabernas palabatur et conpita quaeritando Graeco sermone, cuius erat inpendio gnarus, quid de Caesare quisque sentiret. et haec confidenter agebat in urbe ubi pernoctantium luminum claritudo dierum solet imitari fulgorem. postremo agnitus saepe iamque, si prodisset, conspicuum se fore contemplans, non nisi luce palam egrediens ad agenda quae putabat seria cernebatur. et haec quidem medullitus multis gementibus agebantur.</p>
							</div>

							
							<div class="ZoneTexte">
								<h4>Dernière News NNS Production</h4>
									<p>AEOS CMS sort en version 1.0.0 !<br /><br />
										Parmi les principales nouveautés vous trouverez au niveau de l'administration:<br />
										<ul>
											<li>Paramètres > Option d'affichage: nouvelle option pour afficher le nom des catégories même si elles ne contiennent pas d'article</li>
											<li>Page statiques > Options: ajout d'un champ pour définir le contenu de la balise</li>
											<li>Catégories > Options: ajout d'un champ pour définir le contenu de la balise</li>
											<li>affichage d'un compteur des articles en attente de validation à droite du menu "Articles"</li>
											<li>affichage d'un compteur des commentaires hors ligne à droite du menu "commentaires" cliquable (accès direct à la liste des commentaires hors ligne)</li>
											<li>édition des commentaires: possibilité de modifier la date/heure des commentaires</li>
											<li>gestion des fuseaux horaires (vérifiez dans Paramètres > Configuration de base, que le bon fuseau est sélectionné)</li>
										</ul>
										<br />
									</p>
							</div>
							<?php
					break;
					
					case 2: // Page pages
						switch($sid)
						{
							case 1: break;
							case 2:
								if(@$_['Send']!=1)
								{
									if(isset($_['action']) && $_['action']!='ajouter') break; ?>
									<h3>Ajouter une page</h3>
									<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=ajouter" method="POST">
										<select class="input_select" name="type">
										<?php
											$list = listing_dossier("../modules/");
											foreach ($list as $pages)
											{ ?>
												<option value="<?php echo $pages; ?>" <?php if($_['type']==$pages) echo 'selected'; ?>><?php echo $pages;?></option><?php
											} ?>
										</select>
										<?php 
										if($_['action']!='ajouter') 
										{ ?>
											<input type="submit" value="Ajouter" class="input_button" /><?php
										} ?>										
									</form><?php
								}
							break;			
									
							default:
						}
							
						switch(@$_['action'])
						{
							case 'affichage':
								ecriture_xml('../data/pages/'.$lecture_pages[$_['id']].'.xml', 'etat', $_['aff']); 
								echo "<div class='update_valide'><span class='valide'>Affichage modifié</span></div>";
							break;
							
							case 'ordreplus':
								ksort($ordre_pages);								
								$previousValue = getValueArray($ordre_pages, $_['ordre'], -1);
								$previousValueArray = lecture_xml("../data/pages/".$previousValue);
								$previousOrder = $previousValueArray['page']['ordre']['#text'];
								ecriture_xml('../data/pages/'.$previousValue, 'ordre', $_['ordre']);
								ecriture_xml('../data/pages/'.$ordre_pages[$_['ordre']], 'ordre', $previousOrder);
								echo "<div class='update_valide'><span class='valide'>Ordre modifié</span></div>";
							break;
							
							case 'ordremoins':
								ksort($ordre_pages);								
								$previousValue = getValueArray($ordre_pages, $_['ordre'], +1);
								$previousValueArray = lecture_xml("../data/pages/".$previousValue);
								$previousOrder = $previousValueArray['page']['ordre']['#text'];
								ecriture_xml('../data/pages/'.$previousValue, 'ordre', $_['ordre']);
								ecriture_xml('../data/pages/'.$ordre_pages[$_['ordre']], 'ordre', $previousOrder);
								echo "<div class='update_valide'><span class='valide'>Ordre modifié</span></div>";
							break;
							
							case 'ajouter':
								include("../modules/".$_['type']."/edition.php");
							break;
							
							case 'modifier':
								$page = lecture_xml("../data/pages/".$lecture_pages[$_['id']].".xml");
								include("../modules/".$page['page']['type']['#text']."/edition.php");
							break;
								
							case 'supprimer':
								if($_['id']==HOME_PAGE) echo "<div class='update_erreur'><span class='erreur'>Vous ne pouvez pas supprimer la page d'accueil.</span></div>";
								else
								{
									if (isset($_['del']))
									{
										$tempCorbeille = explode('#', $lecture_pages[$_['id']]);
										rename ("../data/pages/".$lecture_pages[$_['id']].".xml", "../data/corbeille/".date("d-m-Y G\hi\ms\s")."_@@@".$tempCorbeille[1].".xml");
										echo '<div class="update_valide"><span class="valide">La page "'.$tempCorbeille[1].'" a été déplacé dans le dossier corbeille</span></div>';
									}
									else 
									{
										
										?>
											<div class='update_erreur'>
												<span class='erreur'>Voulez-vous vraiment mettre cette page dans la corbeille ?</span>
												<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;id=<?php echo $_['id']; ?>&amp;del" method="POST"><input type="submit" value="Oui" class="input_button" /></form>
												<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST"><input type="submit" value="Non" class="input_button" /></form>
											</div>
										<?php
									}
								}
							break;
						}
						?>
							<h3>Gestions des pages</h3>
		
							<table cellspacing='0' class="Full">
								<tr>
									<th>Titre</th>
									<th>Type</th>
									<th>Edition</th>
									<th>Supression</th>
									<th>Ordre</th>
									<th>Affichage</th>
								</tr>
							
								<?php
								$list=listing_ordre();	
								$modulo=0;
								foreach ($list as &$pages) 
								{
									$page = lecture_xml($data_pages.$pages); ?>								
									<?php echo ($modulo%2!=1)?'<tr>':'<tr class="darkRow">';?>
									<td><?php echo $page['page']['nom']['#text']; ?></td>
									<td><?php echo $page['page']['type']['#text']; ?></td>
									<td><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=modifier&amp;id=<?php echo $page['page']['id']['#text']; ?>"><img src="../themes/system/images/icones/edit.png" alt="edit" /></a></td>
									<td><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;id=<?php echo $page['page']['id']['#text']; ?>"><img src="../themes/system/images/icones/delete.png" alt="delete" /></a></td>
									<td><?php
									if ($pages==reset($list))
									{
										?><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=ordremoins&amp;id=<?php echo $page['page']['id']['#text']; ?>&amp;ordre=<?php echo $page['page']['ordre']['#text']; ?>"><img src="../themes/system/images/icones/little_down.png" alt="little_down" /></a><?php
									} elseif ($pages==end($list)) {
										?><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=ordreplus&amp;id=<?php echo $page['page']['id']['#text']; ?>&amp;ordre=<?php echo $page['page']['ordre']['#text']; ?>"><img src="../themes/system/images/icones/little_up.png" alt="little_up" /></a><?php
									} else { ?>
										<a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=ordremoins&amp;id=<?php echo $page['page']['id']['#text']; ?>&amp;ordre=<?php echo $page['page']['ordre']['#text']; ?>"><img src="../themes/system/images/icones/little_down.png" alt="little_down" /></a>
										<a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=ordreplus&amp;id=<?php echo $page['page']['id']['#text']; ?>&amp;ordre=<?php echo $page['page']['ordre']['#text']; ?>"><img src="../themes/system/images/icones/little_up.png" alt="little_up" /></a><?php
									} ?>
									</td>
									<td><?php
									if($page['page']['id']['#text']==HOME_PAGE) echo showTooltip('<img src="../themes/system/images/icones/home_16.png" alt="aff" />', "Impossible de désafficher la page d'accueil.");
									else if ($page['page']['etat']['#text']==1)
									{ ?>
										<a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=affichage&amp;aff=2&amp;id=<?php echo $page['page']['id']['#text']; ?>"><img src="../themes/system/images/icones/on.png" alt="aff" /></a><?php
									}
									else if ($page['page']['etat']['#text']==2)
									{ ?>
										<a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=affichage&amp;aff=0&amp;id=<?php echo $page['page']['id']['#text']; ?>"><img src="../themes/system/images/icones/standby.png" alt="aff" /></a><?php
									} 
									else
									{ ?>
										<a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=affichage&amp;aff=1&amp;id=<?php echo $page['page']['id']['#text']; ?>"><img src="../themes/system/images/icones/off.png" alt="aff" /></a><?php
									}
									?>
									</td>
								</tr>
								<?php
								$modulo++;
							}
							unset($modulo);
							?>
						</table>
						<div class="ZoneTexte">
							<h4>Légende</h4>
							<p>
							<img src="../themes/system/images/icones/on.png" alt="aff" /> Page affichée<br />
							<img src="../themes/system/images/icones/standby.png" alt="aff" /> Page cachée<br />
							<img src="../themes/system/images/icones/off.png" alt="aff" /> Page inaccessible
							</p>
						</div>
						<?php
					break;
					
					case 3: // Page modules
						switch(@$_['action'])
						{
							case 'ajouter':
								if(@$_FILES["zip_file"]["name"]) 
								{
									switch(upload_unzip($_FILES["zip_file"], "../modules/", "module"))
									{
										case 0: echo "<div class='update_valide'><span class='valide'>Module correctement installé.</span></div>"; break;
										case 2: echo "<div class='update_erreur'><span class='erreur'>Module déjà installé.</span></div>"; break;
										case 3: echo "<div class='update_erreur'><span class='erreur'>Ce fichier n'est pas un fichier zip.</span></div>"; break;
										case 1: default: echo "<div class='update_erreur'><span class='erreur'>Une erreur est survenue.</span></div>"; break;
									}
								}
							break;
							
							case 'modifier':
								include("../modules/".$_['dossier']."/edition.php");
							break;
							
							case 'supprimer':
								if (isset($_['del']))
								{
									removeFolder("../modules/".$_['dossier']);
									echo '<div class="update_valide"><span class="valide">Module supprimé avec succés.</span></div>';
								}
								else
								{
									?>
										<div class='update_erreur'>
											<span class='erreur'>Voulez-vous vraiment supprimer ce module ?</span>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;dossier=<?php echo $_['dossier']; ?>&amp;del" method="POST"><input type="submit" value="Oui" class="input_button" /></form>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST"><input type="submit" value="Non" class="input_button" /></form>
										</div>
									<?php
								}
							break;
						}
						
						switch($sid)
						{
							case 1: break;
							case 2:
								if(@$_['Send']!=1)
								{
									if(isset($_['action']) && $_['action']!='ajouter') break; ?>
									<h3>Ajouter un module</h3>
									<form enctype="multipart/form-data" method="POST" action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=ajouter">
										<input type="file" name="zip_file" />
										<input type="submit" class="input_button" name="submit" value="Installer" />
										<p>* Le module doit être un fichier .zip</p>
									</form>
									<?php
								}
							break;			
							default:
						}
						?>
						<h3>Gestions des modules</h3>
						<table cellspacing='0' class="Full">
							<tr>
								<th>Nom du module</th>
								<th>Description</th>
								<th>Auteur(s)</th>
								<th>Version</th>
								<th>Modifier</th>
								<th>Supprimer</th>
							</tr>
							
							<?php
							$list=listing_dossier("../modules/");
							if (!empty($list)) 
							{							
								foreach ($list as &$pages) 
								{
									$page = lecture_xml("../modules/".$pages."/config.xml"); ?>
									<tr>
										<td><?php echo $page['configuration']['nom']['#text']; ?></td>
										<td><?php echo $page['configuration']['description']['#text']; ?></td>
										<td><?php echo $page['configuration']['auteurs']['#text']; ?></td>
										<td><?php echo $page['configuration']['version']['#text']; ?></td><?php
										if (is_file("../themes/".$pages."/modification.xml")) 
										{ ?>
											<td><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=modifier&amp;dossier=<?php echo $page['configuration']['dossier']['#text']; ?>"><img src="../themes/system/images/icones/edit.png" alt="edit" /></a></td><?php
										}
										else
										{ ?>
											<td><img src="../themes/system/images/icones/edit_off.png" alt="edit" /></td><?php
										} ?>
										<td><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;dossier=<?php echo $page['configuration']['dossier']['#text']; ?>"><img src="../themes/system/images/icones/delete.png" alt="delete" /></a></td>
									</tr><?php
								}
							} ?>
						</table>
						<?php
					break;
					
					case 4: // Page thèmes
					switch(@$_['action'])
						{
							case 'choix':
								ecriture_xml('../data/config.xml', 'theme', $_['dossier']);
								echo '<div class="update_valide"><span class="valide">Thème changé avec succès</span></div>';
								include('../lib/config.lib.php');
							break;
							
							case 'supprimer':
								if (isset($_['del']))
								{
									removeFolder("../themes/".$_['dossier']);
									echo '<div class="update_valide"><span class="valide">Thème supprimé avec succès</span></div>';
								}
								else
								{
									?>
										<div class='update_erreur'>
											<span class='erreur'>Voulez-vous vraiment supprimer ce thème ?</span>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;dossier=<?php echo $_['dossier']; ?>&amp;del" method="POST"><input type="submit" value="Oui" class="input_button" /></form>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST"><input type="submit" value="Non" class="input_button" /></form>
										</div>
									<?php
								}
							break;
							
							case 'ajouter':
								if(@$_FILES["zip_file"]["name"]) 
								{
									switch(upload_unzip($_FILES["zip_file"], "../themes/", "theme"))
									{
										case 0: echo "<div class='update_valide'><span class='valide'>Thème correctement installé.</span></div>"; break;
										case 2: echo "<div class='update_erreur'><span class='erreur'>Thème déjà installé.</span></div>"; break;
										case 3: echo "<div class='update_erreur'><span class='erreur'>Ce fichier n'est pas un fichier zip.</span></div>"; break;
										case 1: default: echo "<div class='update_erreur'><span class='erreur'>Une erreur est survenue.</span></div>"; break;
									}
								}
							break;
							
							case 'modifier':
								include("../themes/".$_['dossier']."/edition.php");
							break;
						}
						
						
						switch($sid)
						{
							case 1: break;
							case 2:
								if(@$_['Send']!=1)
								{
									if(isset($_['action']) && $_['action']!='ajouter') break; ?>
									<h3>Ajouter un thème</h3>
									<form enctype="multipart/form-data" method="POST" action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=ajouter">
										<input type="file" name="zip_file" />
										<input type="submit" class="input_button" name="submit" value="Installer" />
										<p>* Le thème doit être un fichier .zip</p>
									</form>
									<?php
								}
							break;			
							default:
						}
						?>
						<h3>Gestions des thèmes</h3>
						<table cellspacing='0' class="Full">
							<tr>
								<th>Nom du module</th>
								<th>Auteur(s)</th>
								<th>Version</th>
								<th>Modifier</th>
								<th>Supprimer</th>
								<th>Selection</th>
							</tr>
							
							<?php
							$list=listing_dossier("../themes/");														
							foreach ($list as &$pages) {
															
								$page = lecture_xml("../themes/".$pages."/config.xml");	
								
								?>
								<tr>
									<td><?php echo $page['configuration']['nom']['#text']; ?></td>
									<td><?php echo $page['configuration']['auteurs']['#text']; ?></td>
									<td><?php echo $page['configuration']['version']['#text']; ?></td><?php
									if (is_file("../themes/".$pages."/modification.xml"))
									{ ?>
										<td align="center"><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=modifier&amp;dossier=<?php echo $page['configuration']['dossier']['#text']; ?>"><img src="../themes/system/images/icones/edit.png" alt="edit" /></a></td><?php
									}
									else
									{ ?>
										<td align="center"><img src="../themes/system/images/icones/edit_off.png" alt="edit" /></td><?php
									} ?>
									<td align="center">
										<?php if ($page['configuration']['dossier']['#text']=="defaut"){?><img src="../themes/system/images/icones/delete_off.png" alt="delete" /><?php }
										else { ?><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;dossier=<?php echo $page['configuration']['dossier']['#text']; ?>"><img src="../themes/system/images/icones/delete.png" alt="delete" /></a><?php } ?>
									</td>
									<td align="center"><?php
									if ($config['configuration']['theme']['#text']==$page['configuration']['dossier']['#text'])
									{ ?>
										<img src="../themes/system/images/icones/on.png" alt="aff" /><?php
									}
									else
									{ ?>
										<a href="index.php?<?php echo ADMIN_REQUEST_URL; ?>&amp;action=choix&amp;dossier=<?php echo $page['configuration']['dossier']['#text']; ?>"><img src="../themes/system/images/icones/off.png" alt="aff" /></a><?php
									} ?>
									</td>
								</tr><?php
							} ?>
						</table><?php
					break;
					
					case 5: // Configuration
						switch($sid)
						{
							case 1: 
								if(isset($_['Send']) && $_['Send']=='1')
								{
									ecriture_xml('../data/config.xml', 'nom_site', $_['nom_site']);
									ecriture_xml('../data/config.xml', 'description_site', $_['description_site']);
									ecriture_xml('../data/config.xml', 'footer', $_['footer_site']);
									echo "<div class='update_valide'><span class='valide'>Mise à jour réussie.</span></div>";
									//Permet le rafraichissement instantané
									include('../lib/config.lib.php');
								} 
								?>
									<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST">
										<h3>Réglages Généraux</h3>
										<table>
											<tr>
												<td>Titre du site :</td>
												<td><input type="text" name="nom_site" class="input_text" value="<?php echo AEOS_NAME; ?>" /></td>
											</tr>
											<tr>
												<td>Description du site :</td>
												<td><input type="text" name="description_site" class="input_text" value="<?php echo AEOS_DESC; ?>" /></td>
											</tr>
											<tr>
												<td>Bas de page :</td>
												<td><input type="text" name="footer_site" class="input_text" value="<?php echo br2nl(AEOS_FOOTER); ?>" /></td>
											</tr>
										</table>
										<input type="hidden" value="1" name="Send" />
										<input type="submit" value="Sauvegarder" class="input_button" />
									</form>
								<?php
							break;

							case 2: 
								if(isset($_['Send']) && $_['Send']=='1')
								{
									ecriture_xml('../data/config.xml', 'login_admin', $_['login']);
									ecriture_xml('../data/config.xml', 'email_admin', $_['email']);
									($_['password'] != '***************')?ecriture_xml('../data/config.xml', 'mdp_admin', md5($_['password'])):FALSE;
									echo "<div class='update_valide'><span class='valide'>Mise à  jour réussie.</span></div>";
									//Permet le rafraichissement instantané
									include('../lib/config.lib.php');
								}
								?>
									<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST">
										<h3>Compte Administrateur</h3>
										<table>
											<tr>
												<td>Nom d'utilisateur :</td>
												<td><input type="text" name="login" class="input_text" value="<?php echo AEOS_LOGIN; ?>" /></td>
											</tr>
											<tr>
												<td>Mot de passe :</td>
												<td><input type="password" name="password" class="input_text" value="***************" /></td>
											</tr>
											<tr>
												<td>Email :</td>
												<td><input type="text" name="email" class="input_text" value="<?php echo AEOS_MAIL; ?>" /></td>
											</tr>
										</table>
										<input type="hidden" value="1" name="Send" />
										<input type="submit" value="Sauvegarder" class="input_button" />
									</form>
								<?php
							break;
							
							case 3:
								if(isset($_['Send']) && $_['Send']=='1')
								{
									if (@$_['maintenance']=="on"){$maintenance="on";} else {$maintenance="off";}
									ecriture_xml('../data/config.xml', 'maintenance', $maintenance);
									ecriture_xml('../data/config.xml', 'message', nl2br($_['message']));
									echo "<div class='update_valide'><span class='valide'>Mise à  jour réussie.</span></div>";
									// Permet le rafraichissement instantané
									include('../lib/config.lib.php');
								}
								?>
									<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST">
										<h3>Maintenance</h3>
										<table>
											<tr>
												<td>Site en maintenance ?</td>
												<td><input type="checkbox" name="maintenance" <?php if(AEOS_MAINTENANCE=="on"){echo "checked";} ?>/></td>
											</tr>
											<tr>
												<td colspan="2">
													<textarea  name="message" class="area_text"><?php echo br2nl(AEOS_MAINTMSG); ?></textarea>
												</td>
											</tr>
										</table>
										<input type="hidden" value="1" name="Send" />
										<input type="submit" value="Sauvegarder" class="input_button" />
									</form>
								<?php
							break;
							
							case 4:
								if(isset($_['Send']) && $_['Send']=='1')
								{
									if (@$_['debugmode']=="on"){$debugmode="TRUE";} else {$debugmode="FALSE";}
									ecriture_xml('../data/config.xml', 'debug', $debugmode);
									($_['urlrew']=='')?$_['urlrew']='':$_['urlrew']=$_['urlrew'].'-';
									ecriture_xml('../data/config.xml', 'urlrewriting_key', $_['urlrew']);
									echo "<div class='update_valide'><span class='valide'>Mise à  jour réussie.</span></div>";
								}
								?>
									<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST">
										<h3>Configuration système</h3>
										<table>
											<tr>
												<td>Langue du site :</td>
												<td>
													<select class="input_select" name="langue_site">
														<option value="fr">Français</option>
														<option value="en">English</option>
													</select>
												</td>
											</tr>
											<tr>
												<td>URL Rewriting : 
													<?php echo showTooltip('<img src="../themes/system/images/icones/help.png" alt="Help"  />', 
													"
														Cette option permet de rendre les URL plus facile à lire.<br /><br />
														Exemple :<br />
														<b>domaine.com/[".substr(AEOS_REW, 0, -1)."]-1-Nom-de-la-Page<br /></b><br />
													"); ?>
												</td>
												<td>
													<input type="text" name="urlrew" class="input_text" value="<?php echo substr(AEOS_REW, 0, -1); ?>" />
												</td>
											</tr>
											<tr>
												<td>Mode Debug : 
													<?php echo showTooltip('<img src="../themes/system/images/icones/help.png" alt="Help"  />', 
													"
														Cette option permet de d'afficher les erreurs PHP et ajoute de nouvelles fonctions.<br /><br />
														<b>Destiné au développeur.</b>
													"); ?>
												</td>
												<td><input type="checkbox" name="debugmode" <?php if(DEBUG_MODE=="TRUE"){echo "checked";} ?>/></td>
											</tr>
										</table>
										<input type="hidden" value="1" name="Send" />
										<input type="submit" value="Sauvegarder" class="input_button" />
									</form>
								<?php
							break;
							
							default:
								echo $sid;
						}
					break;
					
					case 6: // Page corbeille
					switch(@$_['action'])
						{
							case 'retour':
								$list=listing_dossier($data_pages);
								$ancienFichier = "../data/corbeille/".$_['fichier'];
								$title_xml = explode('@@@', $_['fichier']);
								$nouveauFichier = "../data/pages/".LAST_KEY.'#'.str_replace("\'", " ", $title_xml[1]);				
								copy($ancienFichier, $nouveauFichier);
								unlink($ancienFichier);
								ecriture_xml($nouveauFichier, 'etat', '0');
								ecriture_xml($nouveauFichier, 'id', LAST_KEY);
								ecriture_xml($nouveauFichier, 'ordre', LAST_ORDER);						
								echo "<div class='update_valide'><span class='valide'>Page restaurée avec succés.</span></div>";
							break;
							
							case 'vider':
								if (isset($_['del']))
								{
									clearFolder("../data/corbeille/");
									echo "<div class='update_valide'><span class='valide'>La corbeille a été vidée</span></div>";
								}
								else
								{
									?>
										<div class='update_erreur'>
											<span class='erreur'>Voulez-vous vraiment supprimer ce thème ?</span>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=vider&amp;del" method="POST"><input type="submit" value="Oui" class="input_button" /></form>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST"><input type="submit" value="Non" class="input_button" /></form>
										</div>
									<?php
								}
							break;
							
							case 'supprimer':
								if (isset($_['del']))
								{
									unlink("../data/corbeille/".$_['fichier']);
									echo '<div class="update_valide"><span class="valide">Page supprimée avec succès</span></div>';
								}
								else
								{
									?>
										<div class='update_erreur'>
											<span class='erreur'>Voulez-vous vraiment supprimer ce thème ?</span>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;fichier=<?php echo $_['fichier']; ?>&amp;del" method="POST"><input type="submit" value="Oui" class="input_button" /></form>
											<form action="<?php echo ADMIN_REQUEST_URL; ?>" method="POST"><input type="submit" value="Non" class="input_button" /></form>
										</div>
									<?php
								}
							break;
						}?>
						<h3>Gestions de la Corbeille</h3>
						<table cellspacing='0' class="Full">
							<tr>
								<th>Nom</th>
								<th>Date de suppression</th>
								<th>Module</th>
								<th>Restaurer</th>
								<th>Supprimer</th>
							</tr>
							
							<?php
							$list=listing_dossier("../data/corbeille/");
							if ($list==TRUE)
							{							
								foreach ($list as &$pages)
								{
									$page = lecture_xml("../data/corbeille/".$pages);	
									$fichier_date = explode('_', $pages); ?>
									<tr>
										<td><?php echo $page['page']['nom']['#text']; ?></td>
										<td><?php echo $fichier_date[0]; ?></td>
										<td><?php echo $page['page']['type']['#text']; ?></td>
										<td><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=retour&amp;fichier=<?php echo $fichier_date[0]."_".$fichier_date[1]; ?>"><img src="../themes/system/images/icones/retour.png" alt="retour" /></a></td>
										<td><a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=supprimer&amp;fichier=<?php echo $fichier_date[0]."_".$fichier_date[1]; ?>"><img src="../themes/system/images/icones/delete.png" alt="delete" /></a></td>
									</tr><?php
								}
							} ?>
						</table>
						
						<a href="<?php echo ADMIN_REQUEST_URL; ?>&amp;action=vider" class="link"><input type="button" value="Vider la Corbeille" class="input_button" /></a>
						<?php
					break;
					
					case 7: // Page déconnexion
						session_destroy();
						header('Location: index.php');
					break;
				} ?>
	</div>
	<div id="Footer">
		<p>
			<?php require_once('../core/footer.php'); ?>
		</p>
	</div>
</div>
</body>